Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.sort
Class IntHashSet

    java.lang.Object
      net.sf.saxon.sort.IntHashSet

All Implemented Interfaces:
  Serializable, IntSet

    public class IntHashSet

extends Object
implements IntSet, Serializable

Set of int values. This class is modelled on the java.net.Set interface, but it does not implement this interface, because the set members are int's rather than Objects.

Not thread safe.

Author:
  Dominique Devienne, Michael Kay: retrofitted to JDK 1.4, added iterator()
See Also:
  Serialized Form

Field Summary
`static int` | `MAX_SIZE` The maximum number of elements this container can contain.
`int` | `ndv` This set's NO-DATA-VALUE.

Constructor Summary
`IntHashSet()` Initializes a set with a capacity of 8 and a load factor of 0,25.
`IntHashSet(int capacity)` Initializes a set with the given capacity and a load factor of 0,25.
`IntHashSet(int capacity, int noDataValue)` Initializes a set with a load factor of 0,25.

Method Summary
`boolean` | `add(int value)` Add an integer to the set
`void` | `clear()` Clear the contents of the IntSet (making it an empty set)
`boolean` | `contains(int value)` Determine whether a particular integer is present in the set
`boolean` | `containsAll(IntSet other)` Test if this set is a superset of another set
`boolean` | `containsSome(IntHashSet other)` Test if this set has overlapping membership with another set
`boolean` | `equals(Object other)` Test whether this set has exactly the same members as another set
`IntHashSet` | `except(IntHashSet other)` Form a new set that is the difference of this set with another set.
`int` | `getFirst(int defaultValue)`
`int[]` | `getValues()`
`int` | `hashCode()` Construct a hash key that supports the equals() test
`IntHashSet` | `intersect(IntHashSet other)` Form a new set that is the intersection of this set with another set.
`boolean` | `isEmpty()` Determine if the set is empty
`IntIterator` | `iterator()` Get an iterator over the values
`boolean` | `remove(int value)` Remove an integer from the set
`int` | `size()` Get the number of integers in the set
`IntHashSet` | `union(IntHashSet other)` Form a new set that is the union of this set with another set.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_SIZE

    public static final int MAX_SIZE

  The maximum number of elements this container can contain.

  See Also:
    Constant Field Values

### ndv

    public final int ndv

  This set's NO-DATA-VALUE.

Constructor Detail

### IntHashSet

    public IntHashSet()

  Initializes a set with a capacity of 8 and a load factor of 0,25.

### IntHashSet

    public IntHashSet(int capacity)

  Initializes a set with the given capacity and a load factor of 0,25.

  Parameters:
    `capacity` - the initial capacity.

### IntHashSet

    public IntHashSet(int capacity,
                      int noDataValue)

  Initializes a set with a load factor of 0,25.

  Parameters:
    `capacity` - the initial capacity.
    `noDataValue` - the value to use for non-values.

Method Detail

### clear

    public void clear()

  Description copied from interface: `IntSet`
  Clear the contents of the IntSet (making it an empty set)

  Specified by:
    `clear` in interface `IntSet`

### size

    public int size()

  Description copied from interface: `IntSet`
  Get the number of integers in the set

  Specified by:
    `size` in interface `IntSet`
  Returns:
    the size of the set

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `IntSet`
  Determine if the set is empty

  Specified by:
    `isEmpty` in interface `IntSet`
  Returns:
    true if the set is empty, false if not

### getFirst

    public int getFirst(int defaultValue)

### getValues

    public int[] getValues()

### contains

    public boolean contains(int value)

  Description copied from interface: `IntSet`
  Determine whether a particular integer is present in the set

  Specified by:
    `contains` in interface `IntSet`
  Parameters:
    `value` - the integer under test
  Returns:
    true if value is present in the set, false if not

### remove

    public boolean remove(int value)

  Description copied from interface: `IntSet`
  Remove an integer from the set

  Specified by:
    `remove` in interface `IntSet`
  Parameters:
    `value` - the integer to be removed
  Returns:
    true if the integer was present in the set, false if it was not present

### add

    public boolean add(int value)

  Description copied from interface: `IntSet`
  Add an integer to the set

  Specified by:
    `add` in interface `IntSet`
  Parameters:
    `value` - the integer to be added
  Returns:
    true if the integer was added, false if it was already present

### iterator

    public IntIterator iterator()

  Get an iterator over the values

  Specified by:
    `iterator` in interface `IntSet`

### union

    public IntHashSet union(IntHashSet other)

  Form a new set that is the union of this set with another set.

### intersect

    public IntHashSet intersect(IntHashSet other)

  Form a new set that is the intersection of this set with another set.

### except

    public IntHashSet except(IntHashSet other)

  Form a new set that is the difference of this set with another set.

### containsAll

    public boolean containsAll(IntSet other)

  Test if this set is a superset of another set

  Specified by:
    `containsAll` in interface `IntSet`

### containsSome

    public boolean containsSome(IntHashSet other)

  Test if this set has overlapping membership with another set

### equals

    public boolean equals(Object other)

  Test whether this set has exactly the same members as another set

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Construct a hash key that supports the equals() test

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.